## GtkDirTree GtkDirTree — A directory tree widget for GTK. |

## Functions

GtkWidget * | gtk_dir_tree_new ()
gint | gtk_dir_tree_open_dir ()

## Types and Values

struct | GtkDirTree
struct | GtkDirTreeNode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkCList
                            ╰── GtkCTree
                                ╰── GtkDirTree

## Implemented Interfaces

GtkDirTree implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

It is a GtkCTree subclass that allows you to navigate the file-system.

## Functions

### gtk_dir_tree_new ()

    GtkWidget *
    gtk_dir_tree_new (void);

### gtk_dir_tree_open_dir ()

    gint
    gtk_dir_tree_open_dir (GtkDirTree *dir_tree,
                           const gchar *path);

Open files from directory path in dir_tree widget.

#### Parameters

dir_tree | GtkDirTree widget. |
path | gchar path to the dir to be opened. |

#### Returns

TRUE(succes) or FALSE(failure).

## Types and Values

### struct GtkDirTree

    struct GtkDirTree;

The GtkDirTree struct contains only private data. It should only be accessed through the functions described below.

### struct GtkDirTreeNode

    struct GtkDirTreeNode {
      gboolean scanned;
      gchar *path;
    };